


     DF(C)		       UNIX System V			 DF(C)



     Name
	  df - report number of	free disk blocks

     Syntax
	  df [ -t ] [ -f ] [ -v	] [ filesystems	]

     Description
	  df prints out	the number of free blocks and free inodes
	  available for	on-line	filesystems by examining the counts
	  kept in the super-blocks; filesystems	may be specified by
	  device name (e.g., /dev/root).  If the filesystems argument
	  is unspecified, the free space on all	of the mounted
	  filesystems is sent to the standard output.  The list	of
	  mounted filesystems is given in /etc/mnttab.

	  Options include:

	  -t   Causes total allocated block figures to be reported as
	       well as number of free blocks.

	  -f   Reports only an actual count of the blocks in the free
	       list (free inodes are not reported).  With this option,
	       df reports on raw devices.

	  -v   Reports the percent of blocks used as well as the
	       number of blocks	used and free.

	  The -v option	can not	be used	with other df options.

     Files
	  /dev/*
	  /etc/mnttab

     See Also
	  mount(ADM), fsck(ADM), mnttab(F)

     Notes
	  See Notes under mount(ADM).

	  This utility reports sizes in	512 byte blocks.  df will
	  report 2 blocks less free space, rather than 1 block,	since
	  the file uses	one system block of 1024 bytes.

	  The directory	/etc/fscmd.d/TYPE contains programs for	each
	  filesystem type, df invokes the appropriate binary.

     Authorization
	  The behavior of this utility is affected by assignment of
	  the queryspace authorization,	which is usually reserved for
	  system administrators.  Refer	to the ``Using a Trusted
	  System'' chapter of the User's Guide for more	details.




     Page 1					     (printed 5/25/89)






     DF(C)		       UNIX System V			 DF(C)



     Standards Conformance
	  df is	conformant with:
	  AT&T SVID Issue 2, Select Code 307-127;
	  and The X/Open Portability Guide II of January 1987.



















































     Page 2					     (printed 5/25/89)



