


     TRANSLATE(C)	       UNIX System V		  TRANSLATE(C)



     Name
	  translate - translates files from one	format to another

     Syntax
	  translate option [ infile ] [	outfile	]

     Description
	  translate translates files according to the options
	  specified. Translation is done according to the options
	  defined below.

	  format is assumed to be a file in the	directory
	  /usr/lib/mapchan/translate if	a full pathname	is not
	  provided.

	  translate uses standard input	and standard output unless
	  otherwise specified via the optional filename	arguments.

     Options
	      -ea	 From EBCDIC to	ASCII.

	      -ae	 From ASCII to EBCDIC.

	      -fe format From a	user defined format to EBCDIC format.

	      -fa format From a	user defined format to ASCII format.

	      -ef format From EBCDIC format to a user defined format.

	      -af format From ASCII format to a	user defined format.

	      -bm	 From binary/object code to mailable ASCII
		    uuencode format.

	      -mb	 From mailable ASCII uuencode format to
		    original binary.


     Files
	  /usr/lib/mapchan/translate/*

     See Also
	  uuencode(C), dd(C), mapchan(M), sysadmsh(ADM)

     Notes
	  The -bm and -mb options are, for example, used to translate
	  executable object code format	to ASCII for transfer across
	  communications networks.

	  The syntax for the user defined format file is the same as
	  the syntax for the mapping files for mapchan(M) and trchan.




     Page 1					     (printed 5/25/89)






     TRANSLATE(C)	       UNIX System V		  TRANSLATE(C)



	  Use dd to convert character and file formats (especially
	  tapes) to the	format specified.  Example:

	       dd if=/dev/rmt0 of=outfile ibs=800 cbs=80 conv=ascii,lcase

	  This command reads an	EBCDIC tape, blocked ten 80-byte
	  EBCDIC card images per record, into the ASCII	file outfile.
	  For more information on conversion options, refer to dd(C)
	  in the User's	Reference.














































     Page 2					     (printed 5/25/89)



